Subject: Re: regression: unregister_netdev() unusably slow

From: Eric Dumazet <[email-masked]>
Date: Mon, 25 May 2009 00:47:39 +0200

Benjamin LaHaise a écrit :
> On Mon, May 25, 2009 at 12:07:07AM +0200, Eric Dumazet wrote:
>> Maybe your HZ is too low ? Changing to 1000 HZ helps a lot
> 
> HZ is set to 1000.  I turned off CONFIG_NO_HZ
> 
>> Also your hotplug config might do strange things at device removal ?
> 
> If it were CPU bound, maybe, but this behaviour is tied to the kernel 
> version in use.
> 
>> What distro do you use ?
> 
> It's an older Fedora 7 install inside kvm on a Fedora 10 host running 
> 2.6.30-rc7.
> 

OK thanks

I switched HZ from 250 to 1000 and got :

time ip link del vlan.899

real    0m0.011s
user    0m0.000s
sys     0m0.002s

There is a strong dependancy against HZ
BTW, I am using TREE_RCU

# RCU Subsystem
# CONFIG_CLASSIC_RCU is not set
CONFIG_TREE_RCU=y
# CONFIG_PREEMPT_RCU is not set
CONFIG_RCU_TRACE=y
CONFIG_RCU_FANOUT=32
# CONFIG_RCU_FANOUT_EXACT is not set
CONFIG_TREE_RCU_TRACE=y
# CONFIG_PREEMPT_RCU_TRACE is not set
# CONFIG_RCU_TORTURE_TEST is not set
# CONFIG_RCU_CPU_STALL_DETECTOR is not set